Latest0.9.0
Homepagehttps://github.com/hanshuushi/IAPHandler
LicenseMIT
Platformsios 6.0
FrameworksStoreKit, SystemConfiguration
Authors

Platform
Cocoapods Compatible

IAPHandler 是一款轻量级用于应用内购买的辅助框架。

    /// 第一次购买
    [[IAPHandler shareIAPHandlerWithProductId:@"InAppPurcharse's ID"] buyProductWithResponse:^(NSError *error) {
        if (error == nil) {
            NSLog(@"内购成功");
            } else {
            NSLog(@"内购失败,错误原因为 %@", [error localizedDescription]);
            }
    }];

    /// 恢复购买
    [[IAPHandler shareIAPHandlerWithProductId:@"InAppPurcharse's ID"]   restoreProductWithResponse:^(NSError *error) {
        if (error == nil) {
            NSLog(@"内购成功");
        } else {
            NSLog(@"恢复内购失败,错误原因为 %@", [error localizedDescription]);
        }
        }];

需要

  • iOS 6.0 +

安装

CocoaPods

 pod 'IAPHandler', '~> 0.9.0'

Latest podspec

{
    "name": "IAPHandler",
    "version": "0.9.0",
    "summary": "In App Purcharseu7684u8f7bu91cfu7ea7u4f7fu7528u6846u67b6",
    "description": "u9488u5bf9non-consumableu7c7bu578bu7684 IAPu670du52a1uff0cu53efu5febu901fu8d2du4e70u53cau6062u590du8d2du4e70u3002",
    "homepage": "https://github.com/hanshuushi/IAPHandler",
    "license": {
        "type": "MIT",
        "file": "FILE_LICENSE"
    },
    "authors": {
        "Han Shuushi": "[email protected]"
    },
    "source": {
        "git": "https://github.com/hanshuushi/IAPHandler.git",
        "tag": "0.9.0"
    },
    "source_files": "*.{h,m}",
    "public_header_files": "*.h",
    "frameworks": [
        "StoreKit",
        "SystemConfiguration"
    ],
    "platforms": {
        "ios": "6.0"
    }
}

Pin It on Pinterest

Share This